Compiling for Mac OS 10.2 on Leopard & Intel

  • Hello:

    I'm working on a long-standing project that currently works as far
    back as Mac OS 10.2.  Is it possible to compile a program on Leopard
    and an Intel-based Mac that can also run on Mac OS 10.2?  My current
    tests allow me to run the currently compiled program as far back as
    Mac OS 10.3.9.  But when I ran a test on 10.2, the icon was the
    "generic application" icon, and it would not start properly.

    Regards,

    Chad Armstrong
  • Am 20.12.2007 um 04:09 schrieb Chad Armstrong:

    > Is it possible to compile a program on Leopard and an Intel-based
    > Mac that can also run on Mac OS 10.2?

    You want to use the 10.2 SDK which comes with Xcode 2.5. In
    principle, it should be possible to integrate the 10.2 SDK into Xcode
    3, but this is "unsupported".

    Markus

    - - - - - - - - - - - - - - - - - - -
    Dipl. Ing. Markus Hitter
    http://www.jump-ing.de/
previous month december 2007 next month
MTWTFSS
          1 2
3 4 5 6 7 8 9
10 11 12 13 14 15 16
17 18 19 20 21 22 23
24 25 26 27 28 29 30
31            
Go to today